Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class MandateRelatedData2Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.MandateRelatedData2Choice

    public class MandateRelatedData2Choice
    extends java.lang.Object

Java class for MandateRelatedData2Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MandateRelatedData2Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="DrctDbtMndt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}MandateRelatedInformation15" minOccurs="0"/>
             <element name="CdtTrfMndt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}CreditTransferMandateData1" minOccurs="0"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CreditTransferMandateData1` `cdtTrfMndt`
`protected MandateRelatedInformation15` `drctDbtMndt`

### Constructor Summary

Constructors
`MandateRelatedData2Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreditTransferMandateData1` `getCdtTrfMndt()` Gets the value of the cdtTrfMndt property.
`MandateRelatedInformation15` `getDrctDbtMndt()` Gets the value of the drctDbtMndt property.
`void` `setCdtTrfMndt​(CreditTransferMandateData1 value)` Sets the value of the cdtTrfMndt property.
`void` `setDrctDbtMndt​(MandateRelatedInformation15 value)` Sets the value of the drctDbtMndt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### drctDbtMndt

    protected MandateRelatedInformation15 drctDbtMndt

#### cdtTrfMndt

    protected CreditTransferMandateData1 cdtTrfMndt

### Constructor Detail

#### MandateRelatedData2Choice

    public MandateRelatedData2Choice()

### Method Detail

#### getDrctDbtMndt

    public MandateRelatedInformation15 getDrctDbtMndt()

Gets the value of the drctDbtMndt property.

Returns:
  possible object is `MandateRelatedInformation15`

#### setDrctDbtMndt

    public void setDrctDbtMndt​(MandateRelatedInformation15 value)

Sets the value of the drctDbtMndt property.

Parameters:
  `value` - allowed object is `MandateRelatedInformation15`

#### getCdtTrfMndt

    public CreditTransferMandateData1 getCdtTrfMndt()

Gets the value of the cdtTrfMndt property.

Returns:
  possible object is `CreditTransferMandateData1`

#### setCdtTrfMndt

    public void setCdtTrfMndt​(CreditTransferMandateData1 value)

Sets the value of the cdtTrfMndt property.

Parameters:
  `value` - allowed object is `CreditTransferMandateData1`